#include <Foundation/NSString.h>
@interface NSFramework_Pantomime : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_Pantomime
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"1.2"; }
static NSString *allClasses[] = {@"CWCacheManager", @"CWCharset", @"CWContainer", @"CWDNSManager", @"CWDNSRequest", @"CWFlags", @"CWFolder", @"CWFolderInformation", @"CWIMAPCacheManager", @"CWIMAPFolder", @"CWIMAPMessage", @"CWIMAPQueueObject", @"CWIMAPStore", @"BccRecipient", @"CWInternetAddress", @"CcRecipient", @"ToRecipient", @"CWISO8859_1", @"CWISO8859_2", @"CWISO8859_3", @"CWISO8859_4", @"CWISO8859_5", @"CWISO8859_6", @"CWISO8859_7", @"CWISO8859_8", @"CWISO8859_9", @"CWISO8859_10", @"CWISO8859_11", @"CWISO8859_13", @"CWISO8859_14", @"CWISO8859_15", @"CWKOI8_R", @"CWKOI8_U", @"CWLocalCacheManager", @"CWLocalFolder", @"CWLocalMessage", @"CWLocalStore", @"CWMD5", @"CWMessage", @"CWMIMEMultipart", @"CWMIMEUtility", @"CWParser", @"CWPart", @"CWPOP3CacheManager", @"CWPOP3CacheObject", @"CWPOP3Folder", @"CWPOP3Message", @"CWPOP3QueueObject", @"CWPOP3Store", @"CWRegEx", @"CWService", @"CWSendmail", @"CWSMTP", @"CWSMTPQueueObject", @"CWTCPConnection", @"CWURLName", @"CWUUFile", @"CWVirtualFolder", @"CWWINDOWS_1250", @"CWWINDOWS_1251", @"CWWINDOWS_1252", @"CWWINDOWS_1253", @"CWWINDOWS_1254", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
